/* eslint-disable prettier/prettier */
import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions } from 'react-native';
import Colors from '../../../../theme/Colors';
import { Metrics, Fonts } from '../../../../theme';
import { Platform } from 'react-native';
const { width, height } = Dimensions.get('window');
export default EStyleSheet.create({
  topButtonContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    width: '100%',
    paddingHorizontal: '15rem',
    marginTop:
      Platform.OS == 'ios'
        ? EStyleSheet.value('60rem') + Metrics.statusBarHeight
        : EStyleSheet.value('85rem') + Metrics.statusBarHeight
  },
  searchView: {
    height: '45rem',
    width: '165rem',
    backgroundColor: Colors.grey,
    flexDirection: 'row',
    borderRadius: '55rem',
    alignSelf: 'center',
    alignItems: 'center'
  },
  searchIcon: {
    fontSize: '20rem',
    color: Colors.darkBlack,
    marginLeft: '15rem',
    marginRight: '10rem',
    alignItems: 'center'
  },
  searchTxtInput: {
    width: '70%',
    height: '45rem',
    alignSelf: 'center',
    ...Fonts.style.semiDarkBoldBlack
  },
  closeIcon: {
    fontSize: '20rem',
    color: Colors.black,
    alignItems: 'center',
    margin: '5rem'
  },
  closeBtn: {
    position: 'absolute',
    right: '10rem'
  },
  newBookReqBtn: {
    width: '165rem',
    height: '40rem',
    backgroundColor: Colors.skyblue
  },
  addNewReqBtnTxt: {
    '@media android': {
      marginTop: '-4rem'
    }
  },
  flatList: {
    backgroundColor: Colors.white,
    marginTop: '15rem',
    width: '100%',
    elevation: 10,
    shadowOpacity: 0.8,
    shadowRadius: 8,
    shadowOffset: {
      height: 1,
      width: 1
    }
  },
  item: {
    backgroundColor: Colors.white,
    alignSelf: 'center',
    width: '100%',
    paddingHorizontal: '10rem'
  },
  itemTitle: {
    ...Fonts.style.semiBoldText,
    marginTop: '4rem',
    marginBottom: '4rem'
  },
  itemSubTitle: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '15rem',
    marginBottom: '2rem'
  },
  itemIsbnNOTitle: {
    ...Fonts.style.semiBoldTheme,
    color:Colors.midDarkGrey,
    fontSize: '14rem',
    marginBottom: '2rem'
  },
  flexDirection:{

      flexDirection:'row',
      paddingTop:'2rem'

  },
  statusTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '16rem',
    marginTop: '2rem'
  },
  separatorImg: {
    height: 1,
    width: '100%',
    marginVertical: '6rem'
  },
  editBtn: {
    height: '28rem',
    width: '28rem',
    borderRadius: '14rem',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: Colors.green
  },
  editIcon: {
    height: '16rem',
    width: '15rem'
  },
  deleteBtn: {
    height: '28rem',
    width: '28rem',
    borderRadius: '14rem',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: Colors.red,
    marginLeft: '10rem'
  },
  deleteIcon: {
    height: '18rem',
    width: '14rem'
  },
  itemBottomView: {
    flexDirection: 'row',
    justifyContent: 'space-between'
  },
  editDelBtnContainer: {
    flexDirection: 'row'
  },
  modalContainer: {
    height,
    width,
    alignItems: 'center',
    alignSelf: 'center',
    justifyContent: 'center',
    backgroundColor: 'rgba(255,255,255, 0.5)'
  },
  modalCircleView: {
    height: '60rem',
    width: '60rem',
    alignSelf: 'center',
    borderRadius: '30rem',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: Colors.white,
    position: 'absolute',
    top: '-30rem',
    elevation: 20,
    shadowOpacity: 0.2,
    shadowRadius: 8,
    shadowOffset: {
      height: 1,
      width: 1
    }
  },
  modalCircleEditImage: {
    height: '30rem',
    width: '28rem'
  },
  modalCircleDeleteImage: {
    height: '28rem',
    width: '22rem'
  },
  DeleteImageiew: {
    justifyContent: 'flex-end',
    position: 'absolute',
    right: 7,
    marginVertical: '10rem'
  },
  DeleteImage: {
    height: '14rem',
    width: '20rem'
  },
  modalInnerContainer: {
    backgroundColor: Colors.white,
    borderRadius: '8rem',
    paddingHorizontal: '18rem',
    paddingVertical: '30rem',
    elevation: 20,
    shadowOpacity: 0.2,
    shadowRadius: 8,
    shadowOffset: {
      height: 1,
      width: 1
    }
  },
  modalDeleteInnerContainer: {
    backgroundColor: Colors.white,
    borderRadius: '8rem',
    paddingHorizontal: '18rem',
    paddingTop: '35rem',
    paddingBottom: '20rem',
    elevation: 20,
    shadowOpacity: 0.2,
    shadowRadius: 8,
    shadowOffset: {
      height: 1,
      width: 1
    }
  },
  deleteTxt: {
    ...Fonts.style.semiBoldBlack,
    textAlign: 'center',
    fontSize: '16rem'
  },
  deleleBookTxt: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '16rem'
  },
  editReqView: {
    marginTop: '20rem'
  },
  bookImage: {
    height: '15rem',
    width: '28rem'
  },
  isbnImage: {
    height: '20rem',
    width: '22rem'
  },
  editionImage: {
    height: '20rem',
    width: '20rem'
  },
  editBookReqTitle: {
    ...Fonts.style.semiBoldMidDarkGrey,
    fontSize: '16rem',
    '@media android': {
      marginTop: '-4rem'
    }
  },
  editReqInnerView: {
    flexDirection: 'row',
    alignItems: 'center',
    width: '280rem',
    borderBottomWidth: 1,
    '@media ios': {
      paddingBottom: '4rem'
    },
    borderBottomColor: Colors.darkGrey
  },
  editBookReqValue: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '16rem',
    width: '80%',
    '@media android': {
      height: '40rem'
    },
    marginLeft: '15rem',
    padding: 0,
    margin: 0
  },
  radioContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center'
  },
  optionBtn: {
    flexDirection: 'row',
    alignItems: 'center',
    marginRight: '20rem',
    marginTop: '5rem',
    left: '20rem'
  },
  radioImg: {
    height: '25rem',
    width: '25rem'
  },
  radioTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '15rem',
    marginLeft: '10rem'
  },
  editModalButtonContainer: {
    flexDirection: 'row',
    marginTop: '40rem',
    alignItems: 'flex-end',
    justifyContent: 'flex-end'
  },
  modalDeleteBtn: {
    height: '30rem',
    width: '80rem',
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: '5rem',
    backgroundColor: Colors.red,
    alignSelf: 'flex-end',
    marginRight: '15rem'
  },
  saveBtn: {
    height: '30rem',
    width: '80rem',
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: '5rem',
    backgroundColor: Colors.theme,
    alignSelf: 'flex-end',
    marginRight: '15rem'
  },
  saveBtnTxt: {
    ...Fonts.style.semiBoldWhite,
    fontSize: '14rem'
  },
  cancelBtn: {
    height: '30rem',
    width: '80rem',
    borderWidth: 1,
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: '5rem',
    borderColor: Colors.darkGrey,
    alignSelf: 'flex-end'
  },
  cancelBtnTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '14rem'
  },
  bottom:{
    bottom:25
  }
});
