import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions } from 'react-native';
import { Fonts, Colors, Metrics } from './../../../../theme';

export default EStyleSheet.create({
  innerView: {
    marginTop: EStyleSheet.value('100rem') + Metrics.statusBarHeight
  },
  txtInputView: {
    height: '50rem',
    width: '100%-70rem',
    borderRadius: '25rem',
    alignItems: 'flex-start',
    justifyContent: 'center',
    borderColor: Colors.borderGrey,
    borderWidth: 1.5,
    paddingLeft: '35rem',
    paddingRight: '10rem',
    marginTop: '20rem',
    alignSelf: 'center'
  },
  txtInput: {
    ...Fonts.style.semiDarkBoldBlack,
    width: '100%'
  },
  labelTxt: {
    ...Fonts.style.semiBoldMidDarkGrey,
    color: Colors.black,
    backgroundColor: Colors.white,
    fontSize: '14rem',
    paddingHorizontal: '5rem',
    position: 'absolute',
    top: '-10rem',
    left: '30rem',
    '@media android': {
      top: '-14rem',
      left: '30rem'
    }
  },
  radioContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center'
  },
  optionBtn: {
    flexDirection: 'row',
    alignItems: 'center',
    marginRight: '20rem'
  },
  radioImg: {
    height: '25rem',
    width: '25rem'
  },
  radioTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '15rem',
    marginLeft: '10rem'
  },
  buttonContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: '80rem'
  },
  requestBtn: {
    width: '120rem',
    height: '35rem',
    marginHorizontal: '10rem',
    borderRadius: '25rem',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: Colors.theme
  },
  requestBtnTxt: {
    ...Fonts.style.semiBoldWhite,
    '@media android': {
      marginTop: '-4rem'
    }
  },
  cancelBtn: {
    width: '120rem',
    height: '35rem',
    marginHorizontal: '10rem',
    borderRadius: '25rem',
    alignItems: 'center',
    justifyContent: 'center',
    borderColor: Colors.black,
    borderWidth: 2,
    backgroundColor: Colors.transparent
  },
  cancelBtnTxt: {
    ...Fonts.style.semiBoldWhite,
    color: Colors.darkGrey,
    '@media android': {
      marginTop: '-4rem'
    }
  }
});
