import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions, Platform } from 'react-native';
import Colors from '../../../../theme/Colors';
import { Fonts } from './../../../../theme';

const { width, height } = Dimensions.get('window');
EStyleSheet.build({ $rem: width / 375 });
export default EStyleSheet.create({
  txtInputView: {
    height: '50rem',
    width: '100%-70rem',
    borderRadius: '25rem',
    alignItems: 'flex-start',
    justifyContent: 'center',
    borderColor: Colors.borderGrey,
    borderWidth: 1.5,
    paddingLeft: '35rem',
    paddingRight: '10rem',
    marginTop: '45rem',
    alignSelf: 'center'
  },
  txtInput: {
    ...Fonts.style.semiBoldBlack,
    width: '100%'
  },
  labelTxt: {
    ...Fonts.style.boldBlack,
    color: Colors.darkGrey,
    backgroundColor: Colors.white,
    fontSize: '14rem',
    paddingHorizontal: '5rem',
    position: 'absolute',
    top: '-10rem',
    left: '30rem',
    '@media android': {
      top: '-14rem',
      left: '30rem'
    }
  },
  marginTop: {
    marginTop: '60rem'
  },
  lockImg: {
    height: '200rem',
    width: '200*1.20rem',
    position: 'absolute',
    right: '10rem',
    bottom: '40rem',
    opacity: 0.8
  },
  forgotPasswordTxt: {
    ...Fonts.style.boldTheme,
    fontSize: '23rem',
    color: Colors.blue,
    //marginTop: '25rem',
    alignSelf: 'center'
  },
  tipTxt: {
    fontSize: '16rem',
    ...Fonts.style.semiBoldTheme,
    textAlign: 'center',
    color: Colors.blue,
    marginTop: '17rem',
    alignSelf: 'center'
  },
  bottom:{
    bottom:'25rem'
  }
});
