import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions, Platform } from 'react-native';
import Colors from './../../../../theme/Colors';
import Fonts from './../../../../theme/Fonts';

const { width, height } = Dimensions.get('window');
EStyleSheet.build({ $rem: width / 375 });
export default EStyleSheet.create({
  viewStyle: {
    height: '100%',
    width: '100%',
    alignItems: 'center',
    backgroundColor: Colors.white
  },
  txtInputView: {
    height: '50rem',
    width: '100%-70rem',
    borderRadius: '25rem',
    alignItems: 'flex-start',
    justifyContent: 'center',
    borderColor: Colors.borderGrey,
    alignSelf: 'center',
    borderWidth: 1.5,
    paddingLeft: '35rem',
    paddingRight: '10rem',
    marginTop: '25rem'
  },
  txtInput: {
    ...Fonts.style.semiBoldBlack,
    width: '100%'
  },
  labelTxt: {
    ...Fonts.style.boldBlack,
    color: Colors.darkGrey,
    backgroundColor: Colors.white,
    fontSize: '14rem',
    paddingHorizontal: '5rem',
    position: 'absolute',
    top: '-10rem',
    left: '30rem',
    '@media android': {
      top: '-14rem',
      left: '30rem'
    }
  },
  bottomView: {
    alignSelf: 'center',
    alignItems: 'center',
    marginTop: Platform.OS == 'ios' ? '20rem' : '70rem',
    marginBottom: '10rem',
    flexDirection: 'row'
  },
  bottomTipTxt: {
    ...Fonts.style.mediumBlack,
    fontSize: '15rem'
  },
  loginTipTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '15rem',
    color: Colors.purpule,
    marginLeft: '2rem'
  },
  boyImg: {
    height: '200rem',
    width: '200*1.27rem',
    position: 'absolute',
    right: '30rem',
    bottom: '40rem'
  },
  welcomeTxt: {
    ...Fonts.style.boldTheme,
    color: '#5D25EA',
    fontSize: '30rem',
   //marginTop: '21rem',
    alignSelf: 'center'
  },
  textStyle2: {
    fontSize: '13rem',
    alignSelf: 'center',
    color: '#404040',
    fontFamily: 'Quicksand-Regular'
  },
  marginTop: {
    marginTop: '35rem'
  },
  forgoptPwdTxt: {
    marginTop: '15rem',
    alignSelf: 'center',
    ...Fonts.style.semiBoldTheme,
    fontSize: '15rem'
  },
  textStyle4: {
    fontSize: '18rem',
    color: Colors.white,
    fontFamily: 'Quicksand-Medium',
    alignSelf: 'center',
    marginTop: '12rem'
  },
  textStyle5: {
    fontSize: '15rem',
    color: Colors.black,
    marginLeft: '40rem',
    fontFamily: 'Quicksand-Regular'
  },
  textStyle6: {
    ...Fonts.style.semiBoldTheme,
    color: Colors.theme,
    fontSize: '15rem',
    marginLeft: '0.5rem'
  },
  keyboardAwareScrollView: {
    backgroundColor: 'white'
  },
  bottom:{
    bottom:'30rem'
  }
});
