import EStyleSheet from 'react-native-extended-stylesheet';
import Colors from './../../../../theme/Colors';
import { Dimensions, Platform } from 'react-native';
import { Fonts, Metrics } from './../../../../theme';
import { isIphoneX } from './../../../../libs/Utils';
const { width } = Dimensions.get('window');

export default EStyleSheet.create({
  headerThin: {
    width: width,
    height: width / 2.04
  },
  saveBtn: {
    height: '14rem',
    width: '20rem',
    marginLeft: '24rem',
    marginVertical: '20rem',
    marginRight: '20rem'
  },
  saveBtnTxt: {
    ...Fonts.style.semiBoldTheme,
    height: '20rem',
    width: '50rem',
    marginLeft: '24rem',
    marginVertical: '15rem',
    marginRight: '5rem',
    bottom: Platform.OS == 'ios' ? '0rem' : '15rem'
  },
  viewStyle: {
    marginTop: width / 2.04,
    paddingBottom: '60rem',
    height: '100%',
    width: '100%',
    backgroundColor: Colors.white
  },
  profileInitials: {
    ...Fonts.style.boldWhite,
    fontSize: '20rem'
  },
  profilePicView: {
    height: '90rem',
    width: '90rem',
    borderRadius: '45rem',
    alignSelf: 'center',
    position: 'absolute',
    zIndex: 99999,
    top: EStyleSheet.value('10rem') + Metrics.statusBarHeight
  },
  profilePicDefaultView: {
    height: '90rem',
    width: '90rem',
    borderRadius: '45rem',
    position: 'absolute',
    backgroundColor: Colors.skyblue,
    alignItems: 'center',
    justifyContent: 'center'
  },
  profilePic: {
    height: '90rem',
    width: '90rem',
    borderRadius: '45rem',
    position: 'absolute'
  },
  changeProfilePicBtn: {
    height: '32rem',
    width: '32rem',
    borderRadius: '16rem',
    position: 'absolute',
    right: 0,
    bottom: 0,
    backgroundColor: Colors.blue
  },
  cameraIcon: {
    fontSize: '25rem',
    color: Colors.white,
    alignSelf: 'center',
    marginTop: '3rem'
  },
  profileName: {
    ...Fonts.style.semiBoldTheme,
    zIndex: 99999,
    alignSelf: 'center',
    position: 'absolute',
    top: EStyleSheet.value('110rem') + Metrics.statusBarHeight
  },
  seperator: {
    height: 1,
    width: '100rem',
    marginHorizontal: '4rem'
  },
  titleTxt: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '18rem',
    color: Colors.black,
    alignSelf: 'center'
  },
  titleContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    alignSelf: 'center',
    marginTop: '35rem'
  },
  halfContainer: {
    height: '55rem',
    width: '310rem',
    backgroundColor: Colors.white,
    flexDirection: 'row',
    marginTop: '16rem',
    alignSelf: 'center',
    justifyContent: 'space-between'
  },
  halfInnerContainer: {
    height: '55rem',
    width: '152rem',
    backgroundColor: Colors.white,
    alignSelf: 'center'
  },
  labelTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '14rem',
    color: '#404040'
  },
  halfValueTxt: {
    //height: '37rem',
    width: '150rem',
    borderBottomWidth: 1,
    ...Fonts.style.semiDarkBoldBlack,
    borderBottomColor: '#000000',
    backgroundColor: Colors.white,
    padding: 0,
    margin: 0
  },
  halfValuTestTxt: {
    //height: '37rem',
    width: '150rem',
    borderBottomWidth: 1,
    ...Fonts.style.semiDarkBoldBlack,
    borderBottomColor: '#000000',
    backgroundColor: Colors.white,
    padding: 0,
    margin: 0
  },
  fullValueTxt: {
    //   height: '36rem',
    width: '310rem',
    borderBottomWidth: 1,
    marginTop: '3rem',
    ...Fonts.style.semiDarkBoldBlack,
    //fontFamily: 'Quicksand-Regular',
    borderBottomColor: '#000000',
    backgroundColor: Colors.white,
    padding: 0,
    margin: 0
  },
  fullValueCountryCodeTxt: {
    width: '310rem',
    marginTop: '3rem',
    ...Fonts.style.semiDarkBoldBlack
  },
  fullContainer: {
    height: '55rem',
    width: '310rem',
    backgroundColor: Colors.white,
    marginTop: '16rem',
    alignSelf: 'center'
  },
  countryCodeTxt: {
    marginTop:Platform.OS=='ios'? '3rem': '14rem',
    ...Fonts.style.semiDarkBoldBlack
  },
  countryCodeTxtView: {
    flexDirection: 'row',
    width: '310rem',
    borderBottomWidth: 1,
    marginTop: '3rem',
    ...Fonts.style.semiDarkBoldBlack,
    borderBottomColor: '#000000',
    backgroundColor: Colors.white,
    padding: 0,
    margin: 0
  },
  modalStyle: {
    height: '100%',
    width: '100%',
    backgroundColor: 'rgba(0,0,0,0.2)'
  },
  modalView: {
    width: '100%',
    backgroundColor: 'white',
    alignItems: 'center',
    position: 'absolute',
    bottom: 0
  },
  firstmodalView: {
    flexDirection: 'row',
    width: '100%',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor:Colors.purpule
  },
  textStyle: {
    fontSize: '12rem',
    paddingVertical: '8rem',
    ...Fonts.style.semiBoldBlack,
    color: 'white'
  },  closeBtn: {
    position: 'absolute',
    right: '10rem'
  },
  inputiconmodel: {
    fontSize: '30rem',
    color: 'white',
    marginHorizontal: '10rem'
  },
  modalTextView: {
    width,
    justifyContent: 'center',
    alignItems:'center',
    
  //  paddingBottom: isIphoneX && '20rem' 
  },
  modalBtn: {
    width: width,
    justifyContent: 'center',
    alignItems: 'center'
  },
  marginViewtext: {
    fontSize: '12rem',
    ...Fonts.style.semiBoldBlack,
    marginTop: '10rem'
  },
  borderinmodal: {
    width: '100%',
    height: '0.9rem',
    backgroundColor: '#bfd1d7'
  },
  flatlist:{
    maxHeight:'220rem',
    width,

   },
   item:{
     textAlign:'center',
     fontSize:'15rem',
     paddingVertical: '8rem',
     bottom:0
   },
   borderToLine: {
    paddingVertical: '1rem',
    width: '500rem',
    height: '1rem',
    backgroundColor: 'rgba(0,0,0,0.2)'
  },
});

